#!/usr/bin/gawk --re-interval -f

# NEW format of astorb.dat

/^ *[0-9]{1,6}  */{
  print pad($1, 24);
}
!/^ *[0-9]{1,6}  */{
  print pad("       " substr($1,1,4) " " substr($1,5), 24);
}


func pad(s,n, i,out) {
  out = "";
  for (i = length(s); i < abs(n); i++) {
    out = out " ";
  }
  if (n > 0) {
    out = s out;
  } else {
    out = out s;
  }
  return out;
}

func abs(x) {
  if (x > 0) {
    return x;
  } else {
    return -x;
  }
}


